Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.tiles
Class StrutsWildcardServletTilesApplicationContext

    java.lang.Object
      org.apache.tiles.servlet.context.ServletTilesApplicationContext
          org.apache.struts2.tiles.StrutsWildcardServletTilesApplicationContext

All Implemented Interfaces:
  org.apache.tiles.TilesApplicationContext

    public class StrutsWildcardServletTilesApplicationContext

extends org.apache.tiles.servlet.context.ServletTilesApplicationContext

Constructor Summary
`StrutsWildcardServletTilesApplicationContext(javax.servlet.ServletContext context)`

Method Summary
`protected Set<URL>` | `findResources(String path)`
`Set<URL>` | `getResources(String path)`

Methods inherited from class org.apache.tiles.servlet.context.ServletTilesApplicationContext
`createRequestContext, getApplicationScope, getContext, getInitParams, getResource, getServletContext, initialize, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsWildcardServletTilesApplicationContext

    public StrutsWildcardServletTilesApplicationContext(javax.servlet.ServletContext context)

Method Detail

### getResources

    public Set<URL> getResources(String path)
                          throws IOException

  Specified by:
    `getResources` in interface `org.apache.tiles.TilesApplicationContext`
  Overrides:
    `getResources` in class `org.apache.tiles.servlet.context.ServletTilesApplicationContext`
  Throws:
    `IOException`

### findResources

    protected Set<URL> findResources(String path)
                              throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.